#ifndef _WEBSOCKETCLIENT_H_
#define _WEBSOCKETCLIENT_H_

#include "WebsocketConfig.h"
	
	typedef struct {
			char color[20];
			int intensity;
			int halo;		
	}InParam;
	
	typedef struct {
			int rotor_power[4]; /*旋翼输出y*/
	}InParam2;
	
	typedef struct {
		    int event_id;
			int number;  /*编号*/
		    char name[100]; /*名称*/
		    char color_1[8]; /*颜色1*/
		    char color_2[8]; /*颜色2*/
		    char color;
			float pos[2];
		    char type[10];
		    char commond[20];
		    int rotor_power[4]; /*旋翼输出y*/
		    char ligter_color; /*灯光颜色*/
		    double height; /*高度*/
		    double distance; /*水平距离*/
		    float direction[3]; /*姿态角*/
		    double horizontal_speed; /*水平速度*/
		    double vertical_speed; /*垂直速度*/
		    float speed; /*设置飞行速度(米/秒)*/
		    float time; /*飞行时间*/
		    float duration; /*固定时间*/
		    InParam parameters;
		    InParam2 parameters2;
	}UAV;
        bool init(); /*初始化连接*/
        void initUav();
		void init_position(); //初始化返航点
	    void set_name();  //设置名称
	    void set_color();   //设置颜色
	    void start_engine(); //启动无人机
	    void shut_down_engine(); //关闭无人机
	    void set_rotor_power(); //设置各旋翼动力
	    void open_lighter();
	    void close_lighter();
	    void get_current_height();
	    void get_current_attitude_angle();
	    void get_current_distance();
	    void get_current_horizontal_speed();
	    void get_current_vertical_speed();
	    void open_hd();
	    void close_hd();
	    void fly_by_3d_direction(); //7.控制无人机飞行方向与速度 speed速度 flyTime飞行时间
		UAV uav;
		InParam inParams;
	    InParam2 inParams2;
	    int number = 0;  /*编号*/
		int event_id = 0;
#endif

